# Visualization
TKV2d
Select2D

# Select2D_Projector Class Reference

An abstract framework to define a projector.
StdSelect_TextProjector2d inherits this framework
and provides a projector for texts.
.

`#include <Select2D_Projector.hxx>`

Inheritance diagram for Select2D_Projector:

[legend]

## Public Member Functions

virtual Standard_EXPORT void | Convert (const gp_Pnt2d &aPointIn, gp_Pnt2d &aPointOut) const =0
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | Select2D_Projector ()

## Protected Attributes

gp_Trsf2d | mytrsf

## Constructor & Destructor Documentation

Standard_EXPORT Select2D_Projector::Select2D_Projector | ( |  | ) | `[protected]`

## Member Function Documentation

virtual Standard_EXPORT void Select2D_Projector::Convert | ( | const gp_Pnt2d & | aPointIn,
|  | gp_Pnt2d & | aPointOut
| ) | const`[pure virtual]`

| Implemented in StdSelect_TextProjector2d.

Standard_EXPORT const Select2D_Projector::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StdSelect_TextProjector2d.

## Field Documentation

gp_Trsf2d Select2D_Projector::mytrsf `[protected]`

The documentation for this class was generated from the following file:

- Select2D_Projector.hxx